Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

forgotmessage.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: forgotmessage.php 6235 2001-07-20 11:45:40Z jakobn $
5 //
6 // Created on: <02-Mar-2001 10:19:02 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 $ini =& eZINI::instance( 'site.ini' );
30 $Language = $ini->variable( "eZUserMain", "Language" ); //SF eZUserMain was eZErrorMain ??
31
32 $t = new eZTemplate( "kernel/ezuser/user/" . $ini->variable( "eZUserMain", "TemplateDir" ),
33 "kernel/ezuser/user/intl/", $Language, "forgotmessage.php" );
34
35 $t->setAllStrings();
36 $t->set_file( array( "message" => "forgotmessage.tpl" ) );
37
38 $t->set_block( "message", "mail_sent_tpl", "mail_sent" );
39 $t->set_block( "message", "user_not_exists_tpl", "user_not_exists" );
40 $t->set_block( "message", "generated_password_tpl", "generated_password" );
41
42 if( isset( $successfull ) )
43 {
44 $t->set_var( "user_not_exists", "" );
45 $t->set_var( "generated_password", "" );
46 $t->parse( "mail_sent", "mail_sent_tpl", true );
47 }
48 if( isset( $unsuccessfull ) )
49 {
50 $t->set_var( "mail_sent", "" );
51 $t->set_var( "generated_password", "" );
52 $t->parse( "user_not_exists", "user_not_exists_tpl", true );
53 }
54 if( isset( $generated ) )
55 {
56 $t->set_var( "mail_sent", "" );
57 $t->set_var( "user_not_exists", "" );
58 $t->parse( "generated_password", "generated_password_tpl", true );
59 }
60
61
62 $t->pparse( "output", "message" );
63
64 ?>
$successfull
$successfull
Definition: bugreport.php:73
eZTemplate
Definition: eztemplate.php:107
$t
$t
Definition: forgotmessage.php:32
$Language
$Language
Definition: forgotmessage.php:30
$ini
$ini
Definition: forgotmessage.php:29
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.